# List all invoices for an account Retrieves invoices for a specified account. Invoices are returned in reverse chronological order by updatedDate. Endpoint: GET /v1/transactions/invoices/accounts/{account-key} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Response 200 fields (application/json): - `invoices` (array) Contains information about one or more invoices. The array contains a maximum of 300 invoices. - `invoices.accountId` (string) Customer account ID. - `invoices.accountName` (string) Customer account name. - `invoices.accountNumber` (string) Customer account number. - `invoices.amount` (string) Amount of the invoice before adjustments, discounts, and similar items. - `invoices.balance` (string) Balance remaining due on the invoice (after adjustments, discounts, etc.) - `invoices.body` (string) The REST URL of the invoice PDF file. - `invoices.createdBy` (string) User ID of the person who created the invoice. If a bill run generated the invoice, then this is the user ID of person who created the bill run. - `invoices.creditBalanceAdjustmentAmount` (string) - `invoices.dueDate` (string) Payment due date as _yyyy-mm-dd_. - `invoices.id` (string) Invoice ID. - `invoices.invoiceDate` (string) Invoice date as _yyyy-mm-dd_ - `invoices.invoiceFiles` (string) URL to retrieve information about all files of a specific invoice if any file exists; otherwise absent. For example, https://rest.zuora.com/v1/invoices/2c92c095511f5b4401512682dcfd7987/files. If you want to view the invoice file details, call [Get invoice files](https://developer.zuora.com/api-references/api/operation/GET_InvoiceFiles) with the returned URL. If your tenant was created before Zuora Release 228 (R228), July 2018, the value of this field is an array of invoice file details. For more information about the array, see the response body of [Get invoice files](https://developer.zuora.com/api-references/api/operation/GET_InvoiceFiles). Zuora recommends that you use the latest behavior to retrieve invoice information. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/) asking for invoice item and file references to be enabled in the REST API. - `invoices.invoiceItems` (string) URL to retrieve information about all items of a specific invoice. For example, https://rest.zuora.com/v1/invoices/2c92c095511f5b4401512682dcfd7987/items. If you want to view the invoice item details, call [Get invoice items](https://developer.zuora.com/api-references/api/operation/GET_InvoiceItems) with the returned URL. If your tenant was created before Zuora Release 228 (R228), July 2018, the value of this field is an array of invoice item details. For more information about the array, see the response body of [Get invoice items](https://developer.zuora.com/api-references/api/operation/GET_InvoiceItems). Zuora recommends that you use the latest behavior to retrieve invoice information. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/) asking for invoice item and file references to be enabled in the REST API. - `invoices.invoiceNumber` (string) Unique invoice ID, returned as a string. - `invoices.invoiceTargetDate` (string) Date through which charges on this invoice are calculated, as _yyyy-mm-dd_. Note: The value can be null if the invoice is related to Non-subscription items. - `invoices.reversed` (boolean) Whether the invoice is reversed. - `invoices.status` (string) Status of the invoice in the system - not the payment status, but the status of the invoice itself. Possible values are: Posted, Draft, Canceled, Error. - `invoices.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoices.IntegrationStatus__NS` (string) Status of the invoice's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoices.SyncDate__NS` (string) Date when the invoice was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully.